name: Riot
attributes:
  ORGANIZATIONNAME: matrix.org

configs:
  Debug: debug
  Release: release

fileGroups:
    - README.md
    - CHANGES.md
    - AUTHORS.rst
    - Podfile
    - project.yml
    - changelog.d

configFiles:
  Debug: Config/Project-Debug.xcconfig
  Release: Config/Project-Release.xcconfig

options:
  defaultConfig: Release
  groupSortPosition: bottom
  transitivelyLinkDependencies: false
  createIntermediateGroups: true
  useBaseInternationalization: true
  postGenCommand: sh Tools/XcodeGen/postGenCommand.sh
    
include:
  - path: Riot/target.yml
  - path: Riot/target-messenger.yml
  - path: Riot/target-bum-beta.yml
  - path: Riot/target-bum-open.yml
  - path: Riot/target-bwi-mdm.yml
  - path: RiotTests/target.yml
  - path: RiotNSE/target.yml
  - path: BroadcastUploadExtension/target.yml
  - path: DesignKit/target.yml
  - path: RiotSwiftUI/target.yml
  - path: RiotSwiftUI/targetUnitTests.yml
  - path: RiotSwiftUI/targetUITests.yml
  - path: CommonKit/target.yml
  - path: CommonKit/targetUnitTests.yml
  # Disabled due to crypto corruption issues.
  # https://github.com/element-hq/element-ios/issues/7618
  # - path: RiotShareExtension/target.yml
  # - path: SiriIntents/target.yml

packages:
  AnalyticsEvents:
    url: https://github.com/matrix-org/matrix-analytics-events
    exactVersion: 0.23.1
  Mapbox:
    url: https://github.com/maplibre/maplibre-gl-native-distribution
    minVersion: 5.12.2
    maxVersion: 5.13.0
  OrderedCollections:
    url: https://github.com/apple/swift-collections
    minVersion: 1.0.2
    maxVersion: 2.0.0
  SwiftOGG:
    url: https://github.com/element-hq/swift-ogg
    branch: 0.0.1
  Lottie:
    url:  https://github.com/airbnb/lottie-ios.git
    minVersion: 3.5.0
    maxVersion: 3.5.0
  WysiwygComposer:
    url: https://github.com/element-hq/matrix-rich-text-editor-swift
    exactVersion: 2.41.0
  DeviceKit:
    url: https://github.com/devicekit/DeviceKit
    majorVersion: 4.7.0
  DTCoreText:
    url: https://github.com/Cocoanetics/DTCoreText
    version: 1.6.26
  SwiftJWT:
    url: https://github.com/Kitura/Swift-JWT
    version: 4.0.2
